## libdfp 1.0.7

=== base-math/Makefile ===
libdfp_files += addsd3 adddd3 addtd3 \
		divsd3 divdd3 divtd3 \
		eqsd2 eqdd2 eqtd2 \
		extendsddd2 extendsdtd2 extendddtd2 \
		fixsdsi fixddsi fixtdsi \
		fixsddi fixdddi fixtddi \
		fixunssdsi fixunsddsi fixunstdsi \
		fixunssddi fixunsdddi fixunstddi \
		floatsisd floatsidd floatsitd \
		floatdisd floatdidd floatditd \
		floatunssisd floatunssidd floatunssitd \
		floatunsdisd floatunsdidd floatunsditd \
		gesd2 gedd2 getd2 \
		gtsd2 gtdd2 gttd2 \
		lesd2 ledd2 letd2 \
		ltsd2 ltdd2 lttd2 \
		mulsd3 muldd3 multd3 \
		nesd2 nedd2 netd2 \
		subsd3 subdd3 subtd3 \
		truncddsd2 trunctddd2 trunctdsd2 \
		unordsd2 unorddd2 unordtd2 \

=== decNumberMath/Makefile ===
libdfp_files += decNumberMath

=== ieee754r/Makefile ===
libdfp_files +=	acosd32 acosd64 acosd128 \
		acoshd32 acoshd64 acoshd128 \
		asind32 asind64 asind128 \
		asinhd32 asinhd64 asinhd128 \
		atan2d32 atan2d64 atan2d128 \
		atand32 atand64 atand128 \
		atanhd32 atanhd64 atanhd128 \
		cbrtd32 cbrtd64 cbrtd128 \
		ceild32 ceild64 ceild128 \
		copysignd32 copysignd64 copysignd128 \
		cosd32 cosd64 cosd128 \
		coshd32 coshd64 coshd128 \
		erfd32 erfd64 erfd128 \
		exp2d32 exp2d64 exp2d128 \
		expd32 expd64 expd128 \
		expm1d32 expm1d64 expm1d128 \
		fabsd32 fabsd64 fabsd128 \
		fdimd32 fdimd64 fdimd128 \
		isfinited32 isfinited64 isfinited128 \
		floord32 floord64 floord128 \
		fmad32 fmad64 fmad128 \
		fmaxd32 fmaxd64 fmaxd128 \
		fmind32 fmind64 fmind128 \
		fmodd32 fmodd64 fmodd128 \
		fpclassifyd32 fpclassifyd64 fpclassifyd128 \
		frexpd32 frexpd64 frexpd128 \
		hypotd32 hypotd64 hypotd128 \
		ilogbd32 ilogbd64 ilogbd128 \
		isgreaterd32 isgreaterd64 isgreaterd128 \
		isgreaterequald32 isgreaterequald64 isgreaterequald128 \
		isinfd32 isinfd64 isinfd128 \
		islessd32 islessd64 islessd128 \
		islessequald32 islessequald64 islessequald128 \
		islessgreaterd32 islessgreaterd64 islessgreaterd128 \
		isnand32 isnand64 isnand128 \
		isnormald32 isnormald64 isnormald128 \
		isunorderedd32 isunorderedd64 isunorderedd128 \
		ldexpd32 ldexpd64 ldexpd128 \
		lgammad32 lgammad64 lgammad128 \
		llrintd32 llrintd64 llrintd128 \
		llroundd32 llroundd64 llroundd128 \
		log10d32 log10d64 log10d128 \
		log1pd32 log1pd64 log1pd128 \
		log2d32 log2d64 log2d128 \
		logbd32 logbd64 logbd128 \
		logd32 logd64 logd128 \
		lrintd32 lrintd64 lrintd128 \
		lroundd32 lroundd64 lroundd128 \
		modfd32 modfd64 modfd128 \
		nand32 nand64 nand128 \
		nearbyintd32 nearbyintd64 nearbyintd128 \
		nextafterd32 nextafterd64 nextafterd128 \
		nexttowardd32 nexttowardd64 nexttowardd128 \
		powd32 powd64 powd128 \
		quantized32 quantized64 quantized128 \
		remainderd32 remainderd64 remainderd128 \
		rintd32 rintd64 rintd128 \
		roundd32 roundd64 roundd128 \
		samequantumd32 samequantumd64 samequantumd128 \
		scalblnd32 scalblnd64 scalblnd128 \
		scalbnd32 scalbnd64 scalbnd128 \
		signbitd32 signbitd64 signbitd128 \
		sind32 sind64 sind128 \
		sinhd32 sinhd64 sinhd128 \
		sqrtd32 sqrtd64 sqrtd128 \
		tand32 tand64 tand128 \
		tanhd32 tanhd64 tanhd128 \
		tgammad32 tgammad64 tgammad128 \
		truncd32 truncd64 truncd128

=== sysdeps/bid/Makefile ===
libdfp_files += bid-private

=== sysdeps/dpd/Makefile ===
# binpowof10 is in sysdeps/dpd because it currently isn't needed elsewhere.
libdfp_files += dpd-private binpowof10 decpowof2

=== sysdeps/soft-dfp/Makefile ===
# base-math/Makefile defines all of the arithmetic and comparison functions
# and SOME of the conversion functions.  We provide the conversion functions
# which are decimal->binary and binary->decimal here that aren't provided by
# base-math/Makefile.
libdfp_files += decroundtls classify \
		extendsfsd extendsddf extendsdtf \
		extendsfdd extenddfdd extendddtf \
		extendsftd extenddftd extendtftd \
		truncsdsf truncdfsd trunctfsd \
		truncddsf truncdddf trunctfdd \
		trunctdsf trunctddf trunctdtf

=== sysdeps/soft-dfp/bid/Makefile ===
# Empty Makefile so that Versions file is picked up by the build machinery
# only searches for Versions files where it finds Makefiles.

=== sysdeps/powerpc/powerpc64/power6/fpu/Makefile ===
# The files in this directory are simply overrides of those already defined in
# base-math/Makefile.

=== debian/changelog ===
libdfp (1.0.7-0ubuntu2) natty; urgency=low

  * Unmangle copyright file.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 Feb 2011 23:48:49 +0100

libdfp (1.0.7-0ubuntu1) natty; urgency=low

  * Initial release, based on r12799.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 23 Feb 2011 11:55:06 +0100

=== debian/control ===
Source: libdfp
Priority: extra
Maintainer: Matthias Klose <doko@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Section: libs

Package: libdfp-dev
Section: libdevel
Architecture: ppc64
Depends: libdfp1 (= ${binary:Version}), ${misc:Depends}
Suggests: libdfp1-dbg
Description: decimal floating point library (runtime)
 The "Decimal Floating Point C Library" is an implementation of ISO/IEC
 Technical report  "ISO/IEC TR 24732" which describes the C-Language library
 routines necessary to provide the C library runtime support for decimal
 floating point data types introduced in IEEE 754-2008, namely _Decimal32,
 _Decimal64, and _Decimal128.

Package: libdfp1
Section: libs
Architecture: ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: decimal floating point library (development files)
 The "Decimal Floating Point C Library" is an implementation of ISO/IEC
 Technical report  "ISO/IEC TR 24732" which describes the C-Language library
 routines necessary to provide the C library runtime support for decimal
 floating point data types introduced in IEEE 754-2008, namely _Decimal32,
 _Decimal64, and _Decimal128.

Package: libdfp1-dbg
Section: debug
Architecture: ppc64
Depends: libdfp1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: decimal floating point library (debug information)
 The "Decimal Floating Point C Library" is an implementation of ISO/IEC
 Technical report  "ISO/IEC TR 24732" which describes the C-Language library
 routines necessary to provide the C library runtime support for decimal
 floating point data types introduced in IEEE 754-2008, namely _Decimal32,
 _Decimal64, and _Decimal128.

Package: lib32dfp-dev
Section: libdevel
Architecture: ppc64
Depends: lib32dfp1 (= ${binary:Version}), ${misc:Depends}
Suggests: lib32dfp1-dbg
Description: decimal floating point library (32bit runtime)
 The "Decimal Floating Point C Library" is an implementation of ISO/IEC
 Technical report  "ISO/IEC TR 24732" which describes the C-Language library
 routines necessary to provide the C library runtime support for decimal
 floating point data types introduced in IEEE 754-2008, namely _Decimal32,
 _Decimal64, and _Decimal128.

Package: lib32dfp1
Section: libs
Architecture: ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: decimal floating point library (32bit development files)
 The "Decimal Floating Point C Library" is an implementation of ISO/IEC
 Technical report  "ISO/IEC TR 24732" which describes the C-Language library
 routines necessary to provide the C library runtime support for decimal
 floating point data types introduced in IEEE 754-2008, namely _Decimal32,
 _Decimal64, and _Decimal128.

Package: lib32dfp1-dbg
Section: debug
Architecture: ppc64
Depends: lib32dfp1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: decimal floating point library (32bit debug information)
 The "Decimal Floating Point C Library" is an implementation of ISO/IEC
 Technical report  "ISO/IEC TR 24732" which describes the C-Language library
 routines necessary to provide the C library runtime support for decimal
 floating point data types introduced in IEEE 754-2008, namely _Decimal32,
 _Decimal64, and _Decimal128.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#export DEB_GCC_NO_O3=1

DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

configure: configure-stamp configure32-stamp
configure-stamp:
	rm -rf build
	mkdir -p build
	cd build && ../configure --prefix=/usr --enable-decimal-float=yes --with-cpu=power7
	touch $@
configure32-stamp:
	rm -rf build32
	mkdir -p build32
	cd build32 && CC="gcc -m32" ../configure --prefix=/usr --enable-decimal-float=yes
	touch $@

build: build-stamp build32-stamp
build-stamp: configure-stamp
	$(MAKE) -C build
	-$(MAKE) -k -C build check
	touch $@
build32-stamp: configure32-stamp
	$(MAKE) -C build32
	-$(MAKE) -k -C build32 check
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	rm -rf build build32
	dh_clean

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean -k
	rm -rf $(d)
	dh_installdirs -plibdfp-dev \
		usr/lib
	$(MAKE) -C build install install_root=$(CURDIR)/debian/libdfp1
	mv debian/libdfp1/usr/lib/libdfp.so debian/libdfp1/usr/lib/libdfp.a \
		debian/libdfp-dev/usr/lib/
	mv debian/libdfp1/usr/include debian/libdfp-dev/usr/

	dh_installdirs -plib32dfp-dev \
		usr/lib32
	$(MAKE) -C build32 install install_root=$(CURDIR)/debian/lib32dfp1
	mv debian/lib32dfp1/usr/lib debian/lib32dfp1/usr/lib32
	rm -rf debian/lib32dfp1/usr/include
	mv debian/lib32dfp1/usr/lib32/libdfp.so debian/lib32dfp1/usr/lib32/libdfp.a \
		debian/lib32dfp-dev/usr/lib32/

binary-indep: build install
# nothing to do

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -plibdfp1 -plib32dfp1 \
		README.user
	dh_installdocs -plib32dfp1
	mkdir -p debian/libdfp-dev/usr/share/doc/libdfp1
	cp -p README.developer debian/libdfp-dev/usr/share/doc/libdfp1/
	ln -sf libdfp1 debian/libdfp-dev/usr/share/doc/libdfp-dev
	mkdir -p debian/libdfp1-dbg/usr/share/doc
	ln -sf libdfp1 debian/libdfp1-dbg/usr/share/doc/libdfp1-dbg
	mkdir -p debian/lib32dfp-dev/usr/share/doc/lib32dfp1
	cp -p README.developer debian/lib32dfp-dev/usr/share/doc/lib32dfp1/
	ln -sf lib32dfp1 debian/lib32dfp-dev/usr/share/doc/lib32dfp-dev
	mkdir -p debian/lib32dfp1-dbg/usr/share/doc
	ln -sf lib32dfp1 debian/lib32dfp1-dbg/usr/share/doc/lib32dfp1-dbg
	dh_installchangelogs -plibdfp1 -plib32dfp1
	dh_installexamples -s
	dh_fixperms -s
	dh_strip -plibdfp1 -plibdfp-dev --dbg-package=libdfp1-dbg
	dh_strip -plib32dfp1 -plib32dfp-dev --dbg-package=lib32dfp1-dbg
	dh_compress -s
	dh_makeshlibs -s
	dh_shlibdeps -s

ifneq ($(build32),)
	-ls -l $(d_rld)/usr/share/doc/$(p_rl)
	dh_installdocs -p$(p_rl32) \
		USAGE debian/inputrc.arrows
	dh_installchangelogs -p$(p_rl32) CHANGES
	ln -sf $(p_rl32) $(d_rld32)/usr/share/doc/$(p_rld32)
	dh_compress -p$(p_rl32) -p$(p_rld32)
	dh_fixperms -p$(p_rl32) -p$(p_rld32)
	dh_strip --dbg-package=$(p_rlg) -p$(p_rl32) -p$(p_rld32)
	dh_makeshlibs -p$(p_rl32)
	-dh_shlibdeps -p$(p_rl32) -p$(p_rld32) \
		 -L $(p_rl32) -l $(d_rl32)/lib
	-ls -l $(d_rld)/usr/share/doc/$(p_rl)
endif
	dh_installdeb -s
	dh_gencontrol -s
	dh_md5sums -s
	dh_builddeb -s

binary:	binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## libdfp 1.0.9

=== ieee754r/Makefile ===
--- 
+++ 
@@ -17,6 +17,7 @@
 		fabsd32 fabsd64 fabsd128 \
 		fdimd32 fdimd64 fdimd128 \
 		isfinited32 isfinited64 isfinited128 \
+		issignalingd32 issignalingd64 issignalingd128 \
 		floord32 floord64 floord128 \
 		fmad32 fmad64 fmad128 \
 		fmaxd32 fmaxd64 fmaxd128 \
@@ -26,6 +27,7 @@
 		frexpd32 frexpd64 frexpd128 \
 		hypotd32 hypotd64 hypotd128 \
 		ilogbd32 ilogbd64 ilogbd128 \
+		llogbd32 llogbd64 llogbd128 \
 		isgreaterd32 isgreaterd64 isgreaterd128 \
 		isgreaterequald32 isgreaterequald64 isgreaterequald128 \
 		isinfd32 isinfd64 isinfd128 \
@@ -37,6 +39,7 @@
 		isunorderedd32 isunorderedd64 isunorderedd128 \
 		ldexpd32 ldexpd64 ldexpd128 \
 		lgammad32 lgammad64 lgammad128 \
+		llquantexpd32 llquantexpd64 llquantexpd128 \
 		llrintd32 llrintd64 llrintd128 \
 		llroundd32 llroundd64 llroundd128 \
 		log10d32 log10d64 log10d128 \
@@ -53,9 +56,11 @@
 		nexttowardd32 nexttowardd64 nexttowardd128 \
 		powd32 powd64 powd128 \
 		quantized32 quantized64 quantized128 \
+		quantumd32 quantumd64 quantumd128 \
 		remainderd32 remainderd64 remainderd128 \
 		rintd32 rintd64 rintd128 \
 		roundd32 roundd64 roundd128 \
+		roundevend32 roundevend64 roundevend128 \
 		samequantumd32 samequantumd64 samequantumd128 \
 		scalblnd32 scalblnd64 scalblnd128 \
 		scalbnd32 scalbnd64 scalbnd128 \

=== debian/changelog ===
libdfp (1.0.9-0ubuntu1) vivid; urgency=medium

  * libdfp 1.0.9 release.
  * Build for ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Feb 2015 23:47:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Priority: extra
 Maintainer: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.6
 Section: libs
 
 Package: libdfp-dev
 Section: libdevel
-Architecture: ppc64
+Architecture: ppc64 ppc64el
 Depends: libdfp1 (= ${binary:Version}), ${misc:Depends}
 Suggests: libdfp1-dbg
 Description: decimal floating point library (runtime)
@@ -19,7 +19,7 @@
 
 Package: libdfp1
 Section: libs
-Architecture: ppc64
+Architecture: ppc64 ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: decimal floating point library (development files)
  The "Decimal Floating Point C Library" is an implementation of ISO/IEC
@@ -30,7 +30,7 @@
 
 Package: libdfp1-dbg
 Section: debug
-Architecture: ppc64
+Architecture: ppc64 ppc64el
 Depends: libdfp1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: decimal floating point library (debug information)
  The "Decimal Floating Point C Library" is an implementation of ISO/IEC

=== debian/rules ===
--- 
+++ 
@@ -4,14 +4,16 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-#export DEB_GCC_NO_O3=1
-
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_OS	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-configure: configure-stamp configure32-stamp
+ifneq (,$(filter $(DEB_HOST_ARCH), ppc64))
+  build32 = yes
+endif
+
+configure: configure-stamp $(if $(filter yes, $(build32)),configure32-stamp)
 configure-stamp:
 	rm -rf build
 	mkdir -p build
@@ -23,7 +25,7 @@
 	cd build32 && CC="gcc -m32" ../configure --prefix=/usr --enable-decimal-float=yes
 	touch $@
 
-build: build-stamp build32-stamp
+build: build-stamp $(if $(filter yes, $(build32)),build32-stamp)
 build-stamp: configure-stamp
 	$(MAKE) -C build
 	-$(MAKE) -k -C build check
@@ -53,6 +55,7 @@
 		debian/libdfp-dev/usr/lib/
 	mv debian/libdfp1/usr/include debian/libdfp-dev/usr/
 
+ifneq ($(build32),)
 	dh_installdirs -plib32dfp-dev \
 		usr/lib32
 	$(MAKE) -C build32 install install_root=$(CURDIR)/debian/lib32dfp1
@@ -60,6 +63,7 @@
 	rm -rf debian/lib32dfp1/usr/include
 	mv debian/lib32dfp1/usr/lib32/libdfp.so debian/lib32dfp1/usr/lib32/libdfp.a \
 		debian/lib32dfp-dev/usr/lib32/
+endif
 
 binary-indep: build install
 # nothing to do
@@ -67,24 +71,30 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installdocs -plibdfp1 -plib32dfp1 \
+	dh_installdocs -plibdfp1 \
 		README.user
+ifneq ($(build32),)
 	dh_installdocs -plib32dfp1
+endif
 	mkdir -p debian/libdfp-dev/usr/share/doc/libdfp1
 	cp -p README.developer debian/libdfp-dev/usr/share/doc/libdfp1/
 	ln -sf libdfp1 debian/libdfp-dev/usr/share/doc/libdfp-dev
 	mkdir -p debian/libdfp1-dbg/usr/share/doc
 	ln -sf libdfp1 debian/libdfp1-dbg/usr/share/doc/libdfp1-dbg
+ifneq ($(build32),)
 	mkdir -p debian/lib32dfp-dev/usr/share/doc/lib32dfp1
 	cp -p README.developer debian/lib32dfp-dev/usr/share/doc/lib32dfp1/
 	ln -sf lib32dfp1 debian/lib32dfp-dev/usr/share/doc/lib32dfp-dev
 	mkdir -p debian/lib32dfp1-dbg/usr/share/doc
 	ln -sf lib32dfp1 debian/lib32dfp1-dbg/usr/share/doc/lib32dfp1-dbg
 	dh_installchangelogs -plibdfp1 -plib32dfp1
+endif
 	dh_installexamples -s
 	dh_fixperms -s
 	dh_strip -plibdfp1 -plibdfp-dev --dbg-package=libdfp1-dbg
+ifneq ($(build32),)
 	dh_strip -plib32dfp1 -plib32dfp-dev --dbg-package=lib32dfp1-dbg
+endif
 	dh_compress -s
 	dh_makeshlibs -s
 	dh_shlibdeps -s

## libdfp 1.0.11

=== debian/changelog ===
libdfp (1.0.11-0ubuntu2) wily; urgency=medium

  * Fix the usage of mfcr extended mnemonic. LP: #1459691.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 24 Jul 2015 15:37:38 +0200

libdfp (1.0.11-0ubuntu1) wily; urgency=medium

  * libdfp 1.0.11 release.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Jul 2015 21:49:52 +0200

## libdfp 1.0.12

=== base-math/Makefile ===
--- 
+++ 
@@ -1,7 +1,30 @@
+# Copyright (C) 2015 Free Software Foundation, Inc.
+#
+# This file is part of the Decimal Floating Point C Library.
+#
+# The Decimal Floating Point C Library is free software; you can
+# redistribute it and/or modify it under the terms of the GNU Lesser
+# General Public License version 2.1.
+#
+# The Decimal Floating Point C Library is distributed in the hope that
+# it will be useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
+# the GNU Lesser General Public License version 2.1 for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License version 2.1 along with the Decimal Floating Point C Library;
+# if not, write to the Free Software Foundation, Inc., 59 Temple Place,
+# Suite 330, Boston, MA 02111-1307 USA.
+#
+# Please see libdfp/COPYING.txt for more information.  */
+
 libdfp_files += addsd3 adddd3 addtd3 \
 		divsd3 divdd3 divtd3 \
 		eqsd2 eqdd2 eqtd2 \
 		extendsddd2 extendsdtd2 extendddtd2 \
+		extendsfsd extendsddf extendsdtf \
+		extendsfdd extenddfdd extendddtf \
+		extendsftd extenddftd extendtftd \
 		fixsdsi fixddsi fixtdsi \
 		fixsddi fixdddi fixtddi \
 		fixunssdsi fixunsddsi fixunstdsi \
@@ -18,4 +41,8 @@
 		nesd2 nedd2 netd2 \
 		subsd3 subdd3 subtd3 \
 		truncddsd2 trunctddd2 trunctdsd2 \
+		truncsdsf truncdfsd trunctfsd \
+		truncddsf truncdddf trunctfdd \
+		trunctdsf trunctddf trunctdtf \
 		unordsd2 unorddd2 unordtd2 \
+		classify

=== ieee754r/Makefile ===
--- 
+++ 
@@ -1,3 +1,23 @@
+# Copyright (C) 2015 Free Software Foundation, Inc.
+#
+# This file is part of the Decimal Floating Point C Library.
+#
+# The Decimal Floating Point C Library is free software; you can
+# redistribute it and/or modify it under the terms of the GNU Lesser
+# General Public License version 2.1.
+#
+# The Decimal Floating Point C Library is distributed in the hope that
+# it will be useful, but WITHOUT ANY WARRANTY; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
+# the GNU Lesser General Public License version 2.1 for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License version 2.1 along with the Decimal Floating Point C Library;
+# if not, write to the Free Software Foundation, Inc., 59 Temple Place,
+# Suite 330, Boston, MA 02111-1307 USA.
+#
+# Please see libdfp/COPYING.txt for more information.  */
+
 libdfp_files +=	acosd32 acosd64 acosd128 \
 		acoshd32 acoshd64 acoshd128 \
 		asind32 asind64 asind128 \

=== sysdeps/bid/Makefile ===
# Copyright (C) 2015 Free Software Foundation, Inc.
#
# This file is part of the Decimal Floating Point C Library.
#
# The Decimal Floating Point C Library is free software; you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License version 2.1.
#
# The Decimal Floating Point C Library is distributed in the hope that
# it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
# the GNU Lesser General Public License version 2.1 for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License version 2.1 along with the Decimal Floating Point C Library;
# if not, write to the Free Software Foundation, Inc., 59 Temple Place,
# Suite 330, Boston, MA 02111-1307 USA.
#
# Please see libdfp/COPYING.txt for more information.  */

libdfp_files += bid-private binpowof10 decpowof2

=== sysdeps/dpd/Makefile ===
libdfp_files += dpd-private binpowof10 decpowof2

=== sysdeps/soft-dfp/Makefile ===
# base-math/Makefile defines all of the arithmetic, conversion, and comparison
# functions.
libdfp_files += decroundtls

=== sysdeps/powerpc/powerpc32/power6/fpu/Makefile ===
# Copyright (C) 2015 Free Software Foundation, Inc.
#
# This file is part of the Decimal Floating Point C Library.
#
# The Decimal Floating Point C Library is free software; you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License version 2.1.
#
# The Decimal Floating Point C Library is distributed in the hope that
# it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
# the GNU Lesser General Public License version 2.1 for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License version 2.1 along with the Decimal Floating Point C Library;
# if not, write to the Free Software Foundation, Inc., 59 Temple Place,
# Suite 330, Boston, MA 02111-1307 USA.
#
# Please see libdfp/COPYING.txt for more information.  */

# The files in this directory are simply overrides of those already defined in
# base-math/Makefile.

=== debian/changelog ===
libdfp (1.0.12-0ubuntu1) xenial; urgency=medium

  * New upstream release LP: #1544100
  * Add watch file
  * Add s390x build
  * Bump cpu to power8
  * Do not set cpu flat for s390x, FTBFS
  * Import upstream patches from master up to 1e53b39d

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 17 Feb 2016 14:01:26 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libdfp-dev
 Section: libdevel
-Architecture: ppc64 ppc64el
+Architecture: s390x ppc64 ppc64el
 Depends: libdfp1 (= ${binary:Version}), ${misc:Depends}
 Suggests: libdfp1-dbg
 Description: decimal floating point library (runtime)
@@ -19,7 +19,7 @@
 
 Package: libdfp1
 Section: libs
-Architecture: ppc64 ppc64el
+Architecture: s390x ppc64 ppc64el
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: decimal floating point library (development files)
  The "Decimal Floating Point C Library" is an implementation of ISO/IEC
@@ -30,7 +30,7 @@
 
 Package: libdfp1-dbg
 Section: debug
-Architecture: ppc64 ppc64el
+Architecture: s390x ppc64 ppc64el
 Depends: libdfp1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: decimal floating point library (debug information)
  The "Decimal Floating Point C Library" is an implementation of ISO/IEC

=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,20 @@
 ifneq (,$(filter $(DEB_HOST_ARCH), ppc64))
   build32 = yes
 endif
+ifeq ($(DEB_HOST_ARCH),ppc64el)
+  cpu=--with-cpu=power8
+endif
+# --with-cpu=z10 fails to build from source
+# https://github.com/libdfp/libdfp/issues/43
+ifeq ($(DEB_HOST_ARCH),s390x)
+  cpu=
+endif
 
 configure: configure-stamp $(if $(filter yes, $(build32)),configure32-stamp)
 configure-stamp:
 	rm -rf build
 	mkdir -p build
-	cd build && ../configure --prefix=/usr --enable-decimal-float=yes --with-cpu=power7
+	cd build && ../configure --prefix=/usr --enable-decimal-float=yes $(cpu)
 	touch $@
 configure32-stamp:
 	rm -rf build32

## libdfp 1.0.13

=== base-math/Makefile ===
--- 
+++ 
@@ -46,3 +46,10 @@
 		trunctdsf trunctddf trunctdtf \
 		unordsd2 unorddd2 unordtd2 \
 		classify
+
+libdfp_ti_files += fixsdti fixddti \
+		   fixunssdti fixunsddti \
+		   fixtdti fixunstdti \
+		   floattitd floatunstitd \
+		   floattidd floatunstidd \
+		   floattisd floatunstisd

=== sysdeps/bid/Makefile ===
--- 
+++ 
@@ -19,3 +19,5 @@
 # Please see libdfp/COPYING.txt for more information.  */
 
 libdfp_files += bid-private binpowof10 decpowof2
+
+libdfp_ti_files += ticonstants

=== sysdeps/dpd/Makefile ===
libdfp_files += dpd-private binpowof10 decpowof2

libdfp_ti_files += ticonstants

=== sysdeps/soft-dfp/bid/Makefile ===
# Copyright (C) 2015 Free Software Foundation, Inc.
#
# This file is part of the Decimal Floating Point C Library.
#
# The Decimal Floating Point C Library is free software; you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License version 2.1.
#
# The Decimal Floating Point C Library is distributed in the hope that
# it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
# the GNU Lesser General Public License version 2.1 for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License version 2.1 along with the Decimal Floating Point C Library;
# if not, write to the Free Software Foundation, Inc., 59 Temple Place,
# Suite 330, Boston, MA 02111-1307 USA.
#
# Please see libdfp/COPYING.txt for more information.  */

# Empty Makefile so that Versions file is picked up by the build machinery
# only searches for Versions files where it finds Makefiles.

=== debian/changelog ===
libdfp (1.0.13-3) unstable; urgency=medium

  * Fix 2 FTBFS.
    Thanks to Steve Langasek for the bug report, and test on Ubuntu
    (Closes: #921119)

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 04 Feb 2019 15:36:11 +0100

libdfp (1.0.13-2) unstable; urgency=medium

  * Rediff patches with gbp pq
  * Update maintainer information
  * Update copyright information
  * Upgrade debhelper compatibility level
  * Update Vcs and Homepage info
  * Change priority extra to optional
  * Use autoreconf
  * Rediff patches and pulled upstream fixes (Closes: #919783)
  * Use python3
  * Delete unnecessary files
  * Add gawk as Build-Depends
  * Remove ppc64 32b and dbg packages
  * Use multiarch paths for libs
  * Refactor rules using current packaging facilities
  * Inherit of section for libdfp1
  * Add Multi-Arch information
  * Fix packages long descriptions
  * Fix Format URL
  * Update FSF address
  * Remove duplicate license description
  * Enable hardened build
  * Add initial symbol file
  * Avoid copying COPYING.txt
  * Remove Suggests on dbg package
  * Update Source URL
  * Make int128 related symbols optional
  * Add powerpc architecture
  * Bump Standards-Version

 -- Frédéric Bonnard <frediz@debian.org>  Thu, 31 Jan 2019 16:53:12 +0100

libdfp (1.0.13-1) unstable; urgency=medium

  * Upload to Debian Closes: #781530
  * Set Frederic as Maintainer
  * Set doko and I as Uploaders

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 25 Nov 2016 15:55:00 +0000

libdfp (1.0.13-0ubuntu1) yakkety; urgency=medium

  * New upstream release
  * Resolves optimised build failure on s390x
  * Set march to zEC12 on s390x

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 19 Aug 2016 10:15:26 +0100

=== debian/control ===
Source: libdfp
Priority: optional
Maintainer: Frédéric Bonnard <frediz@debian.org>
Uploaders: Matthias Klose <doko@ubuntu.com>, Dimitri John Ledkov <xnox@ubuntu.com>
Build-Depends: debhelper (>= 11~), gawk, python3
Standards-Version: 4.3.0
Homepage: https://github.com/libdfp/libdfp
Vcs-Git: https://salsa.debian.org/debian/libdfp.git
Vcs-Browser: https://salsa.debian.org/debian/libdfp
Section: libs

Package: libdfp-dev
Section: libdevel
Architecture: s390x powerpc ppc64 ppc64el
Multi-Arch: same
Depends: libdfp1 (= ${binary:Version}), ${misc:Depends}
Description: decimal floating point library (runtime)
 The "Decimal Floating Point C Library" is an implementation of ISO/IEC
 Technical report  "ISO/IEC TR 24732" which describes the C-Language library
 routines necessary to provide the C library runtime support for decimal
 floating point data types introduced in IEEE 754-2008, namely _Decimal32,
 _Decimal64, and _Decimal128.
 .
 This package contains the development files.

Package: libdfp1
Architecture: s390x powerpc ppc64 ppc64el
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: decimal floating point library (development files)
 The "Decimal Floating Point C Library" is an implementation of ISO/IEC
 Technical report  "ISO/IEC TR 24732" which describes the C-Language library
 routines necessary to provide the C library runtime support for decimal
 floating point data types introduced in IEEE 754-2008, namely _Decimal32,
 _Decimal64, and _Decimal128.
 .
 This package contains the runtime shared library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_STRIP = -Wl,-Bsymbolic-functions

ifeq ($(DEB_HOST_ARCH),ppc64el)
	cpu = --with-cpu=power8
endif
ifeq ($(DEB_HOST_ARCH),s390x)
	cpu = --with-cpu=zEC12
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-decimal-float=yes $(cpu)

override_dh_auto_install:
	dh_auto_install -- install_root=$(CURDIR)/debian/tmp

override_dh_installdocs:
	dh_installdocs -X COPYING.txt

## libdfp 1.0.14

=== sysdeps/soft-dfp/Makefile ===
# base-math/Makefile defines all of the arithmetic, conversion, and comparison
# functions.
libdfp_files += decroundtls \
		candtruncd32 candtruncd64

=== debian/changelog ===
libdfp (1.0.14-2) unstable; urgency=medium

  [ Dimitri John Ledkov ]
  * Remove myself from uploaders.

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 12 Aug 2019 16:32:48 +0200

libdfp (1.0.14-1) unstable; urgency=medium

  * New upstream release
  * Remove patch on test/test-amort.c
  * Remove patch 0002-Adapt-the-code-for-glibc-2.28.patch
  * Remove patch 0003-Return-the-number-of-chars-output-in-printf.patch
  * Rename 0004-Use-python3.patch
  * Switch to debhelper-compat usage
  * Bump Standards-Version
  * Ignore tests known to fail on soft-dfp and POWER hard-dfp

 -- Frédéric Bonnard <frediz@debian.org>  Mon, 12 Aug 2019 11:42:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libdfp
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
-Uploaders: Matthias Klose <doko@ubuntu.com>, Dimitri John Ledkov <xnox@ubuntu.com>
-Build-Depends: debhelper (>= 11~), gawk, python3
-Standards-Version: 4.3.0
+Uploaders: Matthias Klose <doko@ubuntu.com>
+Build-Depends: debhelper-compat (= 12), gawk, python3
+Standards-Version: 4.4.0
 Homepage: https://github.com/libdfp/libdfp
 Vcs-Git: https://salsa.debian.org/debian/libdfp.git
 Vcs-Browser: https://salsa.debian.org/debian/libdfp

## libdfp 1.0.15

=== decNumberMath/Makefile ===
# Copyright (C) 2015 Free Software Foundation, Inc.
#
# This file is part of the Decimal Floating Point C Library.
#
# The Decimal Floating Point C Library is free software; you can
# redistribute it and/or modify it under the terms of the GNU Lesser
# General Public License version 2.1.
#
# The Decimal Floating Point C Library is distributed in the hope that
# it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
# the GNU Lesser General Public License version 2.1 for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License version 2.1 along with the Decimal Floating Point C Library;
# if not, write to the Free Software Foundation, Inc., 59 Temple Place,
# Suite 330, Boston, MA 02111-1307 USA.
#
# Please see libdfp/COPYING.txt for more information.  */

libdfp_files += decNumberMath

=== libdecnumber/Makefile ===
# libdecnumber is used by all targets today. It is the fallback implementation
# for many transcendental functions.

libdfp_files += decContext decimal128 decimal64 decimal32 decNumber

=== stdlib/Makefile ===
libdfp_files += strtod32 strtod64 strtod128 wcstod32 wcstod64 wcstod128

=== tests/Makefile ===
libdfp_c_tests = test-printf test-amort test-decode test-inexact-exception \
		 test-strtod test-cast-to-overflow test-numdigits test-get_digits \
		 test-fenv test-bfp-conversions test-type-conversions test-wchar \
		 test-getexp test-setexp test-left_justify test-cast-to-underflow \
		 test-fpclassify-d32 test-fpclassify-d64 test-fpclassify-d128 \
		 test-fabs-d32 test-fabs-d64 test-fabs-d128 \
		 test-copysign-d32 test-copysign-d64 test-copysign-d128 \
		 test-quantum-d32 test-quantum-d64 test-quantum-d128 \
		 test-quantize-d32 test-quantize-d64 test-quantize-d128 \
		 test-samequantum-d32 test-samequantum-d64 test-samequantum-d128 \
		 test-logb-d32 test-logb-d64 test-logb-d128 \
		 test-llquantexp-d32 test-llquantexp-d64 test-llquantexp-d128 \
		 test-isnan-d32 test-isnan-d64 test-isnan-d128 \
		 test-isnan_internal-d32 test-isnan_internal-d64 test-isnan_internal-d128 \
		 test-isinf-d32 test-isinf-d64 test-isinf-d128 \
		 test-isfinite-d32 test-isfinite-d64 test-isfinite-d128 \
		 test-issignaling-d32 test-issignaling-d64 test-issignaling-d128 \
		 test-ilogb-d32 test-ilogb-d64 test-ilogb-d128 \
		 test-llogb-d32 test-llogb-d64 test-llogb-d128 \
		 test-ceil-d32 test-ceil-d64 test-ceil-d128 \
		 test-floor-d32 test-floor-d64 test-floor-d128 \
		 test-nearbyint-d32 test-nearbyint-d64 test-nearbyint-d128 \
		 test-round-d32 test-round-d64 test-round-d128 \
		 test-roundeven-d32 test-roundeven-d64 test-roundeven-d128 \
		 test-trunc-d32 test-trunc-d64 test-trunc-d128 \
		 test-isgreater-d32 test-isgreater-d64 test-isgreater-d128 \
		 test-isgreaterequal-d32 test-isgreaterequal-d64 test-isgreaterequal-d128 \
		 test-isless-d32 test-isless-d64 test-isless-d128 \
		 test-islessequal-d32 test-islessequal-d64 test-islessequal-d128 \
		 test-rint-d32 test-rint-d64 test-rint-d128 \
		 test-lround-d32 test-lround-d64 test-lround-d128 \
		 test-llround-d32 test-llround-d64 test-llround-d128 \
		 test-lrint-d32 test-lrint-d64 test-lrint-d128 \
		 test-llrint-d32 test-llrint-d64 test-llrint-d128 \
		 test-isnormal-d32 test-isnormal-d64 test-isnormal-d128 \
		 test-signbit-d32 test-signbit-d64 test-signbit-d128 \
		 test-fmin-d32 test-fmin-d64 test-fmin-d128 \
		 test-fmax-d32 test-fmax-d64 test-fmax-d128 \
		 test-fdim-d32 test-fdim-d64 test-fdim-d128 \
		 test-isunordered-d32 test-isunordered-d64 test-isunordered-d128 \
		 test-islessgreater-d32 test-islessgreater-d64 test-islessgreater-d128 \
		 test-ldexp-d32 test-ldexp-d64 test-ldexp-d128 \
		 test-fmaxmag-d32 test-fmaxmag-d64 test-fmaxmag-d128 \
		 test-fminmag-d32 test-fminmag-d64 test-fminmag-d128 \
		 test-math-macros \
		 test-nextup-d32 test-nextup-d64 test-nextup-d128 \
		 test-nextdown-d32 test-nextdown-d64 test-nextdown-d128

ifeq ($(libdfp-has-timode),yes)
libdfp_c_tests += test-fix test-float
endif

include $(top_srcdir)/tests/Makefile.autotest

libdfp_c_autotests = $(foreach test, $(libdfp-auto-tests), $(foreach type, d32 d64 d128, test-$(test)-$(type)))

$(addsuffix .out,$(libdfp_c_autotests)) : test-extra-opts += -u $(basename $^).ulp

libdfp_c_tests += $(libdfp_c_autotests)

test-%-d%: $(addsuffix .os,$@)
	$(CC) $(CFLAGS) $(sysdeps-CFLAGS) $(GLIBC_LIBS) -L$(top_builddir)/ -ldfp $(top_builddir)/$^ -o $@
test-%-d32.c: %.input
	$(PYTHON) $(top_srcdir)/tests/gen-libdfp-tests.py -t decimal32 $^ > $(top_builddir)/$@
test-%-d64.c: %.input
	$(PYTHON) $(top_srcdir)/tests/gen-libdfp-tests.py -t decimal64 $^ > $(top_builddir)/$@
test-%-d128.c: %.input
	$(PYTHON) $(top_srcdir)/tests/gen-libdfp-tests.py -t decimal128 $^ > $(top_builddir)/$@

ulps-file = $(shell find $(sysdep_dirs:%=$(top_srcdir)/%/) \
			 -name libdfp-test-ulps | head -1)

libdfp-test-ulps.h: $(ulps-file)
	$(PYTHON) $(top_srcdir)/tests/gen-libdfp-ulps.py $< -o $@

# Add the ULP file generation explicity rule
$(addprefix $(objpfx), $(libdfp_c_tests)): $(top_builddir)/libdfp-test-ulps.h

regen-ulps:
	for i in $(libdfp-auto-tests); do \
	  echo "test $$i"; \
	  cat test-$$i-*.ulp; \
	  echo; \
	done > ulps
.PHONY: regen-ulps

=== libdecnumber/bid/Makefile ===
# BID support adds a couple extra files
libdfp_files += bid2dpd_dpd2bid

=== sysdeps/generic/Makefile ===
libdfp_files += mapround decode fe_decround libdfp-version

=== sysdeps/wordsize-32/Makefile ===
libdfp-has-timode = no

=== sysdeps/powerpc/nodfpu/Makefile ===
sysdeps-CFLAGS += -mno-hard-dfp

=== debian/changelog ===
libdfp (1.0.15-2) unstable; urgency=medium

  * Fix symbol file for s390x

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 28 Jul 2020 12:11:22 +0200

libdfp (1.0.15-1) unstable; urgency=medium

  * Update to new upstream version 1.0.15.
  * Add amd64 support following upstream move
  * Provide pkgconfig files
  * Update d/copyright file according to upstream changes
  * Add i386 support following upstream move
  * Migrate to compatibility level 13
  * Deal with documentation files
  * Update symbol file
  * Add Rules-Requires-Root field
  * Remove useless install_root
  * Fix .pc permissions
  * Fix reproducibility issue
  * Bump Standards-Version
  * Depend on architectures for d/*.symbols

 -- Frédéric Bonnard <frediz@debian.org>  Tue, 28 Jul 2020 11:17:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Priority: optional
 Maintainer: Frédéric Bonnard <frediz@debian.org>
 Uploaders: Matthias Klose <doko@ubuntu.com>
-Build-Depends: debhelper-compat (= 12), gawk, python3
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13), gawk, python3
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/libdfp/libdfp
 Vcs-Git: https://salsa.debian.org/debian/libdfp.git
 Vcs-Browser: https://salsa.debian.org/debian/libdfp
@@ -11,7 +12,7 @@
 
 Package: libdfp-dev
 Section: libdevel
-Architecture: s390x powerpc ppc64 ppc64el
+Architecture: amd64 i386 s390x powerpc ppc64 ppc64el
 Multi-Arch: same
 Depends: libdfp1 (= ${binary:Version}), ${misc:Depends}
 Description: decimal floating point library (runtime)
@@ -24,7 +25,7 @@
  This package contains the development files.
 
 Package: libdfp1
-Architecture: s390x powerpc ppc64 ppc64el
+Architecture: amd64 i386 s390x powerpc ppc64 ppc64el
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: decimal floating point library (development files)

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/libdfp-$1.tar.gz/" \
  https://github.com/libdfp/libdfp/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libdfp 1.0.16

=== ieee754r/Makefile ===
--- 
+++ 
@@ -91,4 +91,8 @@
 		tand32 tand64 tand128 \
 		tanhd32 tanhd64 tanhd128 \
 		tgammad32 tgammad64 tgammad128 \
-		truncd32 truncd64 truncd128
+		truncd32 truncd64 truncd128 \
+		fmaxmagd32 fmaxmagd64 fmaxmagd128 \
+		fminmagd32 fminmagd64 fminmagd128 \
+		nextupd32 nextupd64 nextupd128 \
+		nextdownd32 nextdownd64 nextdownd128

=== libbid/Makefile ===
libdfp_files += _addsub_dd _dd_to_sf _dd_to_xf _di_to_td _eq_td _gt_td \
				_le_td _mul_td _sd_to_di _sd_to_usi _si_to_sd _td_to_sf \
				_tf_to_dd _unord_dd _xf_to_dd _addsub_sd _dd_to_si \
				_df_to_dd _div_dd _ge_dd _lt_dd _ne_dd _sd_to_sf _sd_to_xf \
				_si_to_td _td_to_si _tf_to_sd _unord_sd _xf_to_sd _addsub_td \
				_dd_to_td _df_to_sd _div_sd _ge_sd _lt_sd _ne_sd _sd_to_si \
				_sf_to_dd _td_to_dd _td_to_tf _tf_to_td _unord_td _xf_to_td \
				_dd_to_df _dd_to_tf _df_to_td _div_td _ge_td _lt_td _ne_td \
				_sd_to_td _sf_to_sd _td_to_df _td_to_udi _udi_to_dd _usi_to_dd \
				_dd_to_di _dd_to_udi _di_to_dd _eq_dd _gt_dd _le_dd _mul_dd \
				_sd_to_dd _sd_to_tf _sf_to_td _td_to_di _td_to_usi _udi_to_sd \
				_usi_to_sd _dd_to_sd _dd_to_usi _di_to_sd _eq_sd _gt_sd _le_sd \
				_mul_sd _sd_to_df _sd_to_udi _si_to_dd _td_to_sd _td_to_xf \
				_udi_to_td _usi_to_td

libdfp_files += bid_decimal_globals bid_decimal_data \
         bid_binarydecimal bid_convert_data \
         _isinfd32 _isinfd64 _isinfd128 bid64_noncomp \
         bid128_noncomp bid128_fma bid_round bid_from_int \
         bid64_add bid128_add bid64_div bid128_div \
         bid64_mul bid128_mul bid64_compare bid128_compare \
         bid128 bid32_to_bid64 bid32_to_bid128 bid64_to_bid128 \
         bid64_to_int32 bid64_to_int64 \
         bid64_to_uint32 bid64_to_uint64 \
         bid128_to_int32 bid128_to_int64 \
         bid128_to_uint32 bid128_to_uint64

# Ensure rounding mode is per-thread.
# TODO: Should this be via autoconf instead?
sysdeps-CFLAGS += -DUSE_TLS -DHAVE_CC_TLS

# TODO: TImode and TFmode support are missing from the above.
# for now, use BID -> decnumber
ifeq ($(libdfp-has-timode),yes)
libdfp_files += fixsdti fixddti \
		   fixunssdti fixunsddti \
		   fixtdti fixunstdti \
		   floattitd floatunstitd \
		   floattidd floatunstidd \
		   floattisd floatunstisd
endif

=== printf-hooks/Makefile ===
libdfp_files += printf_dfp init_dfp fmt_d32 fmt_d64 fmt_d128

=== stdlib/Makefile ===
libdfp_files += strtod32 strtod64 strtod128 wcstod32 wcstod64 wcstod128 \
		strfromd32 strfromd64 strfromd128

=== tests/Makefile ===
--- 
+++ 
@@ -42,7 +42,7 @@
 		 test-ldexp-d32 test-ldexp-d64 test-ldexp-d128 \
 		 test-fmaxmag-d32 test-fmaxmag-d64 test-fmaxmag-d128 \
 		 test-fminmag-d32 test-fminmag-d64 test-fminmag-d128 \
-		 test-math-macros \
+		 test-math-macros test-strfrom \
 		 test-nextup-d32 test-nextup-d64 test-nextup-d128 \
 		 test-nextdown-d32 test-nextdown-d64 test-nextdown-d128

=== sysdeps/bid/Makefile ===
--- 
+++ 
@@ -20,4 +20,6 @@
 
 libdfp_files += bid-private binpowof10 decpowof2
 
-libdfp_ti_files += ticonstants
+ifeq ($(libdfp-has-timode),yes)
+libdfp_files += ticonstants
+endif

=== sysdeps/dpd/Makefile ===
libdfp_files += dpd-private binpowof10 decpowof2

ifeq ($(libdfp-has-timode),yes)
libdfp_files += ticonstants
endif

# Build the DPD gcc instrinsic variants
libdfp_files += addsd3 adddd3 addtd3 \
		divsd3 divdd3 divtd3 \
		eqsd2 eqdd2 eqtd2 \
		extendsddd2 extendsdtd2 extendddtd2 \
		extendsfsd extendsddf extendsdtf \
		extendsfdd extenddfdd extendddtf \
		extendsftd extenddftd extendtftd \
		fixsdsi fixddsi fixtdsi \
		fixsddi fixdddi fixtddi \
		fixunssdsi fixunsddsi fixunstdsi \
		fixunssddi fixunsdddi fixunstddi \
		floatsisd floatsidd floatsitd \
		floatdisd floatdidd floatditd \
		floatunssisd floatunssidd floatunssitd \
		floatunsdisd floatunsdidd floatunsditd \
		gesd2 gedd2 getd2 \
		gtsd2 gtdd2 gttd2 \
		lesd2 ledd2 letd2 \
		ltsd2 ltdd2 lttd2 \
		mulsd3 muldd3 multd3 \
		nesd2 nedd2 netd2 \
		subsd3 subdd3 subtd3 \
		truncddsd2 trunctddd2 trunctdsd2 \
		truncsdsf truncdfsd trunctfsd \
		truncddsf truncdddf trunctfdd \
		trunctdsf trunctddf trunctdtf \
		unordsd2 unorddd2 unordtd2

ifeq ($(libdfp-has-timode),yes)
libdfp_files += fixsdti fixddti \
		   fixunssdti fixunsddti \
		   fixtdti fixunstdti \
		   floattitd floatunstitd \
		   floattidd floatunstidd \
		   floattisd floatunstisd
endif

=== sysdeps/wordsize-64/Makefile ===
libdfp-has-timode = yes

=== sysdeps/s390/dfpu/Makefile ===
sysdeps-CFLAGS += -mzarch


# This is a hack. s390 is the only arch today which supports
# correctly rounded radix conversions in hw.
sysdeps-CFLAGS += -D_LIBDFP_HAS_IDEAL_RDX_CVT

=== sysdeps/powerpc/powerpc64/le/Makefile ===
# For KFmode support
sysdeps-CFLAGS += -mfloat128
libdfp_files += decimal_float128

=== debian/changelog ===
libdfp (1.0.16-1) unstable; urgency=medium

  * Update to new upstream version 1.0.16.

 -- Frédéric Bonnard <frediz@debian.org>  Wed, 20 Oct 2021 12:14:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Frédéric Bonnard <frediz@debian.org>
 Uploaders: Matthias Klose <doko@ubuntu.com>
 Build-Depends: debhelper-compat (= 13), gawk, python3
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Rules-Requires-Root: no
 Homepage: https://github.com/libdfp/libdfp
 Vcs-Git: https://salsa.debian.org/debian/libdfp.git

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,3 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-decimal-float=yes $(cpu)
-
-override_dh_auto_install:
-	dh_auto_install -- install_root=$(CURDIR)/debian/tmp
-
-override_dh_installdocs:
-	dh_installdocs -X COPYING.txt

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/libdfp/libdfp/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
